net.dontdrinkandroot.visualization.util

## Class FibonacciHeapNode<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.util.FibonacciHeapNode<T>

    public class FibonacciHeapNode<T>
    extends Object

Implements a node of the Fibonacci heap. It holds the information necessary for maintaining the structure of the heap. It also holds the reference to the key value (which is used to determine the heap structure).

Author:
  Nathan Fiedler

### Constructor Summary

Constructors
Constructor and Description
`FibonacciHeapNode(T data)`
`FibonacciHeapNode(T data, double key)` Default constructor.

### Method Summary

Methods
`T` `getData()` Obtain the data for this node.
`double` `getKey()` Obtain the key for this node.
`String` `toString()` Return the string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FibonacciHeapNode

    public FibonacciHeapNode(T data,
                     double key)

Default constructor. Initializes the right and left pointers, making this a circular doubly-linked list.

Parameters:
  `data` - data for this node
  `key` - initial key for node

#### FibonacciHeapNode

    public FibonacciHeapNode(T data)

### Method Detail

#### getKey

    public final double getKey()

Obtain the key for this node.

Returns:
  the key

#### getData

    public final T getData()

Obtain the data for this node.

#### toString

    public String toString()

Return the string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  string representing this object